Get historical position snapshots
curl --request GET \
--url https://markets.dial.to/api/v0/positions/history \
--header 'x-dialect-client-key: <api-key>'import requests
url = "https://markets.dial.to/api/v0/positions/history"
headers = {"x-dialect-client-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-dialect-client-key': '<api-key>'}};
fetch('https://markets.dial.to/api/v0/positions/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"positions": [
{
"id": "<string>",
"marketId": "<string>",
"history": [
{
"timestamp": "2023-11-07T05:31:56Z",
"amount": 123,
"amountUsd": 123,
"amountTokenA": 123,
"amountTokenAUsd": 123,
"amountTokenB": 123,
"amountTokenBUsd": 123
}
]
}
]
}
}Positions
Get historical position snapshots
Fetch position snapshots within a time range for a wallet address. Optionally interpolate using Birdeye price data.
GET
/
v0
/
positions
/
history
Get historical position snapshots
Authorizations
Client key for the Markets API
Query Parameters
Wallet address to fetch position history for
Start time of the snapshot. Date or datetime in RFC 3339 format
End time of the snapshot. Date or datetime in RFC 3339 format. Defaults to current time if not provided
Comma separated list of position IDs.
Time resolution for aggregating snapshots
Available options:
1m, 5m, 1h, 1d Response
200 - application/json
OK
Show child attributes
Show child attributes
Was this page helpful?
⌘I